<?php
/**
 * Cache
 *
 * A Caching library implementing psr/cache
 *
 * PHP version 5.6
 *
 * @package     Cache
 * @author      Timothy J. Warren <tim@timshomepage.net>
 * @copyright   2016  Timothy J. Warren
 * @license     http://www.opensource.org/licenses/mit-license.html  MIT License
 * @version     1.0.0
 */

namespace Aviat\Banker\Exception;

use Psr\Cache\InvalidArgumentException as InvalidArgumentExceptionInterface;

/**
 * Exception interface for invalid cache arguments.
 *
 * Any time an invalid argument is passed into a method it must throw an
 * exception class which implements Psr\Cache\InvalidArgumentException.
 */
class InvalidArgumentException extends CacheException implements InvalidArgumentExceptionInterface {
	
}